package com.liangjian11.ums.config;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;

/**
 * @author 彭昭成
 * @date 2020/4/14 14:30
 */
@Configuration
public class CorsConfig implements WebMvcConfigurer {

    @Autowired
    private CORSInterceptor corsInterceptor;

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(corsInterceptor);
    }

//    @Override
//    public void addCorsMappings(CorsRegistry registry) {
//        registry.addMapping("/**")//设置允许跨域的路径
//                .allowedOrigins("*")//设置允许跨域请求的域名
//                .allowCredentials(true)//是否允许证书 不再默认开启
//                .allowedMethods("GET", "HEAD", "POST", "PUT", "DELETE", "TRACE", "OPTIONS", "PATCH")//设置允许的方法
//                .allowedHeaders("DNT,X-Mx-ReqToken", "Keep-Alive", "User-Agent", "X-Requested-With",
//                        "If-Modified-Since", "Cache-Control", "Content-Type",
//                        "Accept-Language", "Origin", "User-Agent",
//                        "bird-idempotency", "Sso-Token")
//                .maxAge(6000);//跨域允许时间
//    }
}

