//package com.liangjian11.ums.controller.shiro;
//
//import com.liangjian11.ums.controller.base.BaseController;
//import com.liangjian11.ums.exception.AuthException;
//import com.liangjian11.ums.model.User;
//import com.liangjian11.ums.service.IUserService;
//import com.liangjian11.ums.utils.JWTUtil;
//import com.liangjian11.ums.utils.content.Config;
//import com.liangjian11.ums.web.result.ResultInfo;
//import com.liangjian11.ums.web.result.ResultUtil;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiImplicitParam;
//import io.swagger.annotations.ApiImplicitParams;
//import io.swagger.annotations.ApiOperation;
//import org.apache.commons.lang3.StringUtils;
//import org.apache.shiro.SecurityUtils;
//import org.apache.shiro.authz.annotation.RequiresAuthentication;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.bind.annotation.GetMapping;
//import org.springframework.web.bind.annotation.RequestHeader;
//import org.springframework.web.bind.annotation.RequestMapping;
//import org.springframework.web.bind.annotation.RestController;
//
//
//@RestController
//@Api(tags = "基于Shiro用户服务", description = "API接口")
//@RequestMapping("/shiro/user")
//public class ShiroUserController extends BaseController {
//
//    private static final Logger LOGGER = LoggerFactory.getLogger(ShiroUserController.class);
//
//    @Autowired
//    private IUserService iUserService;
//
//    @GetMapping(value = "/current")
//    @ApiOperation(value = "获取当前用户")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = Config.JWT_CUSTOMER_TOKEN_NAME, value = "认证token", required = true, dataType = "string", paramType = "header")
//    })
//    @RequiresAuthentication
//    public ResultInfo getCurrentUser(@RequestHeader(value = Config.JWT_CUSTOMER_TOKEN_NAME) String token) {
//
//        ResultInfo resultInfo = ResultUtil.createSuccess(200, null);
//
//        if (StringUtils.isNotBlank(token)) {
//
//            boolean isAllowed = SecurityUtils.getSubject().isAuthenticated();
//
//            if (isAllowed) {
//
//                String userName = JWTUtil.getUsername(token);
//                User user = this.iUserService.getUserByUserName(userName);
//                resultInfo.setResult(user);
//
//            } else {
//                throw new AuthException("Token invalid!", 119);
//            }
//
//        } else {
//            throw new AuthException("Params invalid!", 504);
//        }
//
//        return resultInfo;
//    }
//
//}
