package com.liangjian11.ums.model;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;
import java.util.Date;

@TableName("AppHost")
public class Application extends Model<Application> {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;
    @TableField("AppName")
    private String appName;
    @TableField("OrderNum")
    private Integer orderNum;
    @TableField("Reserve")
    private Date reserve;
    @TableField("XmlReserve")
    private String xmlReserve;
    @TableField("domain")
    private String domain;
    @TableField("Port")
    private Integer port;
    @TableField("stateid")
    private Integer stateid;
    @TableField("Application_Key")
    private String applicationKey;
    @TableField("Application_Secret")
    private String applicationSecret;

    @TableField("CreationDate")
    private Date creationDate;
    @TableField("CreateByUser")
    private String createByUser;
    @TableField("LastModified")
    private Date lastModified;
    @TableField("UpdateByUser")
    private String updateByUser;
    @TableField("Status")
    private Integer status;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public Date getReserve() {
        return reserve;
    }

    public void setReserve(Date reserve) {
        this.reserve = reserve;
    }

    public String getXmlReserve() {
        return xmlReserve;
    }

    public void setXmlReserve(String xmlReserve) {
        this.xmlReserve = xmlReserve;
    }

    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public Integer getStateid() {
        return stateid;
    }

    public void setStateid(Integer stateid) {
        this.stateid = stateid;
    }

    public String getApplicationKey() {
        return applicationKey;
    }

    public void setApplicationKey(String applicationKey) {
        this.applicationKey = applicationKey;
    }

    public String getApplicationSecret() {
        return applicationSecret;
    }

    public void setApplicationSecret(String applicationSecret) {
        this.applicationSecret = applicationSecret;
    }

    public Date getCreationDate() {
        return creationDate;
    }

    public void setCreationDate(Date creationDate) {
        this.creationDate = creationDate;
    }

    public String getCreateByUser() {
        return createByUser;
    }

    public void setCreateByUser(String createByUser) {
        this.createByUser = createByUser;
    }

    public Date getLastModified() {
        return lastModified;
    }

    public void setLastModified(Date lastModified) {
        this.lastModified = lastModified;
    }

    public String getUpdateByUser() {
        return updateByUser;
    }

    public void setUpdateByUser(String updateByUser) {
        this.updateByUser = updateByUser;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
