package com.liangjian11.ums.model;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;
import java.util.Date;

@TableName("RightOfRole")
public class RoleResource extends Model<RoleResource> {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private String id;
    @TableField("RoleId")
    private String roleId;
    @TableField("MenuId")
    private String menuId;
    @TableField("CreationTime")
    private Date creationTime;
    @TableField("LastModify")
    private Date lastModify;
    @TableField("RightXml")
    private Date rightXml;
    @TableField("ResourceId")
    private Integer resourceId;

    @TableField("CreateByUser")
    private String createByUser;
    @TableField("UpdateByUser")
    private String pdateByUser;
    @TableField("Status")
    private Integer Status;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getMenuId() {
        return menuId;
    }

    public void setMenuId(String menuId) {
        this.menuId = menuId;
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

    public Date getLastModify() {
        return lastModify;
    }

    public void setLastModify(Date lastModify) {
        this.lastModify = lastModify;
    }

    public Date getRightXml() {
        return rightXml;
    }

    public void setRightXml(Date rightXml) {
        this.rightXml = rightXml;
    }

    public Integer getResourceId() {
        return resourceId;
    }

    public void setResourceId(Integer resourceId) {
        this.resourceId = resourceId;
    }

    public String getCreateByUser() {
        return createByUser;
    }

    public void setCreateByUser(String createByUser) {
        this.createByUser = createByUser;
    }

    public String getPdateByUser() {
        return pdateByUser;
    }

    public void setPdateByUser(String pdateByUser) {
        this.pdateByUser = pdateByUser;
    }

    public Integer getStatus() {
        return Status;
    }

    public void setStatus(Integer status) {
        Status = status;
    }

    protected Serializable pkVal() {
        return this.id;
    }

}
