package com.liangjian11.ums.service.organization;


import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.liangjian11.ums.model.common.Option;
import com.liangjian11.ums.model.common.PageExt;
import com.liangjian11.ums.model.organization.ResourceType;

import java.util.List;

/**
 * 接口类型表(ResourceType)表服务接口
 *
 * @author hsw
 * @since 2020-04-14 14:12:53
 */
public interface ResourceTypeService extends IService<ResourceType> {


    List<ResourceType> selectAll();

    List<Option> selectAllAsJson();

    Page selectResourceTypePage(PageExt<ResourceType> page);
}