package com.liangjian11.ums.utils.content;

/**
 * 系统参数配置类，配置了系统用到参数
 *
 * @author mrt
 */
public interface Config {


    /**
     * 系统语言环境，默认为中文zh
     */
    String LANGUAGE = "zh";

    /**
     * 系统国家环境，默认为中国CN
     */
    String COUNTRY = "CN";

    /**
     * servletContext
     */
    String SERVLETCONTEXT_KEY = "servletContext";

    /**
     * 提示信息配置文件名
     */
    String MESSAGE = "i18n/messages";

    /**
     * jwt签发者的名称
     */
    String JWT_IUSER = "cms";

    /**
     * jwt自定义属性名称
     */
    String JWT_CLIENT_USERNAME = "userName";
    String JWT_APPLICATION_KEY = "applicationKey";
    String JWT_APPLICATION_SECRET = "applicationSecret";
    String JWT_ROLE_KEY = "roleKey";
    String JWT_DEPT_CODE = "deptCode";//内部机构
    String JWT_ORG_KEY = "orgKey";//外部机构 和内部机构key
    String JWT_Extra = "extra";//其他信息

    String JWT_GRANT_TYPE = "grantType";//授权类型

    String ClientCredentials = "clientCredentials";//授权类型 客户端模式

    String Password = "password";//授权类型 密码模式
    String AuthorizationCode = "authorizationCode";//授权类型 密码模式
    String RefreshToken = "refreshToken";//授权类型 密码模式

    /**
     * 客户端传token参数名称
     */
    String JWT_CUSTOMER_TOKEN_NAME = "Sso-Token";

    /**
     * 超级管理员角色key
     */
    String SUPER_ADMIN_ROLE = "admin";
}
