package com.liangjian11.ums.dao.foo.organization;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.liangjian11.ums.model.organization.Orgdoc;
import com.liangjian11.ums.model.organization.ResourceType;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 接口类型表(ResourceType)表数据库访问层
 *
 * @author hsw
 * @since 2020-04-14 14:12:53
 */
public interface ResourceTypeMapper extends BaseMapper<ResourceType> {

    List<ResourceType> selectAll();

    int selectResourceTypeCount(@Param("pageSql") String pageSql);

    List<Orgdoc> selectResourceTypePage(@Param("pageSql") String pageSql);


}