package com.liangjian11.ums.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
@TableName("oauth2_client")
public class Client extends Model<Client> {
    @TableId(type = IdType.AUTO)
    private Long id;
    @TableField("client_name")
    private String clientName;
    @TableField("client_id")
    private String clientId;
    @TableField("client_secret") //公钥
    private String clientSecret;
    @TableField("client_privSecret")
    private String clientPrivSecret; //私钥

    @TableField("client_secretType")
    private String clientSecretType; //加密类型 默认 RSA

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getClientName() {
        return clientName;
    }

    public void setClientName(String clientName) {
        this.clientName = clientName;
    }

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getClientSecret() {
        return clientSecret;
    }

    public void setClientSecret(String clientSecret) {
        this.clientSecret = clientSecret;
    }

    public String getClientPrivSecret() {
        return clientPrivSecret;
    }

    public void setClientPrivSecret(String clientPrivSecret) {
        this.clientPrivSecret = clientPrivSecret;
    }

    public String getClientSecretType() {
        return clientSecretType;
    }

    public void setClientSecretType(String clientSecretType) {
        this.clientSecretType = clientSecretType;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
