package com.liangjian11.ums.model;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;
import java.util.Date;

@TableName("Departments")
public class Department extends Model<Department> {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private String id;

    @TableField("CreationDate")
    private Date creationDate;

    @TableField("LastModified")
    private Date lastModified;

    /**
     * 状态，
     */
    @TableField("RecordState")
    private Integer RecordState;

    /**
     * 角色名称
     */
    @TableField("DeptName")
    private String deptName;

    @TableField("DeptCode")
    private String deptCode;


    @TableField("ParentID")
    private String parentID;


    @TableField("SortKey")
    private String sortKey;

    /**
     * 角色描述
     */
    @TableField("Remarks")
    private String remarks;

    /**
     * appid
     */
    @TableField("DeptAlias")
    private String deptAlias;

    /**
     * 项目key
     */
    @TableField("CreateByUser")
    private String createByUser;

    /**
     * rolekey
     */
    @TableField("UpdateByUser")
    private String updateByUser;

    /**
     * 状态，0：禁用 1：启用 -4:删除
     */
    @TableField("Status")
    private Integer status;

    /**
     * 状态，
     */
    @TableField("ExternalId")
    private Integer externalId;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Date getCreationDate() {
        return creationDate;
    }

    public void setCreationDate(Date creationDate) {
        this.creationDate = creationDate;
    }

    public Date getLastModified() {
        return lastModified;
    }

    public void setLastModified(Date lastModified) {
        this.lastModified = lastModified;
    }

    public Integer getRecordState() {
        return RecordState;
    }

    public void setRecordState(Integer recordState) {
        RecordState = recordState;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getParentID() {
        return parentID;
    }

    public void setParentID(String parentID) {
        this.parentID = parentID;
    }

    public String getSortKey() {
        return sortKey;
    }

    public void setOrtKey(String ortKey) {
        this.sortKey = ortKey;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getDeptAlias() {
        return deptAlias;
    }

    public void setDeptAlias(String deptAlias) {
        this.deptAlias = deptAlias;
    }

    public String getCreateByUser() {
        return createByUser;
    }

    public void setCreateByUser(String createByUser) {
        this.createByUser = createByUser;
    }

    public String getUpdateByUser() {
        return updateByUser;
    }

    public void setUpdateByUser(String updateByUser) {
        this.updateByUser = updateByUser;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getExternalId() {
        return externalId;
    }

    public void setExternalId(Integer externalId) {
        this.externalId = externalId;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
