package com.liangjian11.ums.model.common;

import com.liangjian11.ums.model.InterfaceResource;

import java.util.ArrayList;
import java.util.List;

public class Menu
{
    private String icon;
    private Integer id;
    private String name;
    private Integer parentId;
    private String permissionName;
    private String url;

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getPermissionName() {
        return permissionName;
    }

    public void setPermissionName(String permissionName) {
        this.permissionName = permissionName;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }


    public  static List<Menu> Convert(List<InterfaceResource> permss)
    {
        List<Menu> options = new ArrayList<Menu>();
        if(permss!=null) {
            for (InterfaceResource perm : permss) {
                Menu option = new Menu();
                option.setIcon(perm.getIcon());
                option.setId(perm.getResId());
                option.setName(perm.getMenuName());
                option.setParentId(perm.getParentResId());
                option.setPermissionName(perm.getCode());
                option.setUrl(perm.getLinkUrl());
                options.add(option);
            }
        }
        return options;
    }
}
