package com.liangjian11.ums.model.common;

import com.baomidou.mybatisplus.plugins.pagination.Pagination;
import com.baomidou.mybatisplus.plugins.Page;

import java.util.ArrayList;
import java.util.List;

public class PageExt<T> extends Page {
    private static final long serialVersionUID = 1L;
    private FilterGroup groups = new FilterGroup();
    private List<FilterRule> filters = new ArrayList<FilterRule>();

    public int gePageIndex() {
        return super.getCurrent();
    }

    public Pagination setPageIndex(int current) {
        super.setCurrent(current);
        return this;
    }

    public int getPageSize() {
        return super.getSize();
    }

    public Pagination setPageSize(int size) {
        super.setSize(size);
        return this;
    }

    public String getSortField() {
        return super.getOrderByField();
    }

    public Pagination setSortField(String sortField) {
        super.setOrderByField(sortField);
        return this;
    }

    public Pagination setTotalCount(int totalCount) {
        super.setTotal(totalCount);
        return this;
    }

    public int geTotalCount() {
        return super.getTotal();
    }


    public List<T> items() {
        return super.getRecords();
    }

//    @JsonIgnoreProperties(ignoreUnknown = true)

    public List<FilterRule> getFilters() {
        return filters;
    }

    public void setFilters(List<FilterRule> filters) {
        this.filters = filters;
    }
}
