package com.liangjian11.ums.model.common;

import org.apache.oltu.oauth2.common.exception.OAuthSystemException;
import org.springframework.stereotype.Component;

@Component
public class SysContext {

    /**
     * 用户Key
     * @return
     */
    public static String getCurrentUserKey()
    {
        String value = "";
        try {
            value = JwtTokenHelper.getTokenValue("CurrentUserKey");
        } catch (OAuthSystemException e) {
            e.printStackTrace();
        }
        return value;
    }

    public static String setCurrentUserKey(String value)
    {
        try {
            value = JwtTokenHelper.getTokenValue("CurrentUserKey");
        } catch (OAuthSystemException e) {
            e.printStackTrace();
        }
        return value;
    }

    /**
     * 当前用户角色 多个用逗号隔开
     * @return
     */
    public static String getCurrentRoleKey()
    {
        String value = "";
        try {
            value = JwtTokenHelper.getTokenValue("CurrentRoleKey");
        } catch (OAuthSystemException e) {
            e.printStackTrace();
        }
        return value;
    }
    public static String setCurrentRoleID(String value)
    {
        try {
            value = JwtTokenHelper.getTokenValue("CurrentRoleKey");
        } catch (OAuthSystemException e) {
            e.printStackTrace();
        }
        return value;
    }
//
//    /// <summary>
//    /// 当前用户部门
//    /// </summary>
//    public static string CurrentDeptID
//    {
//        get
//        {
//            try
//            {
//                return RequestHelper.GetCookieValue("CurrentDeptID").ToString();
//            }
//            catch
//            {
//                return "0";
//            }
//        }
//        set
//        {
//            var cookie = RequestHelper.GetCookie("CurrentDeptID");
//            if (cookie != null)
//            {
//                RequestHelper.SetCookie("CurrentDeptID", value.ToString(), DateTime.Now.AddHours(1));
//            }
//            else
//            {
//                //有效期，一个钟头
//                RequestHelper.AddCookie("CurrentDeptID", value.ToString(), DateTime.Now.AddHours(1));
//            }
//        }
//    }
//
//    /// <summary>
//    /// 供应商ID 如果当前用户是供应商，需要这个
//    /// </summary>
//    public static string CurrentSupplierID
//    {
//        get
//        {
//            try
//            {
//                return RequestHelper.GetCookieValue("CurrentSupplierID").ToString();
//            }
//            catch
//            {
//                return "0";
//            }
//        }
//        set
//        {
//            var cookie = RequestHelper.GetCookie("CurrentSupplierID");
//            if (cookie != null)
//            {
//                RequestHelper.SetCookie("CurrentSupplierID", value.ToString(), DateTime.Now.AddHours(1));
//            }
//            else
//            {
//                //有效期，一个钟头
//                RequestHelper.AddCookie("CurrentSupplierID", value.ToString(), DateTime.Now.AddHours(1));
//            }
//        }
//    }
//
//
//
//
//    /// <summary>
//    /// 上次登录时间
//    /// </summary>
//    public static string CurrentUserLastLoginTime
//    {
//        get
//        {
//            return RequestHelper.GetCookieValue("CurrentUserLastLoginTime");
//        }
//        set
//        {
//            var cookie = RequestHelper.GetCookie("CurrentUserLastLoginTime");
//            if (cookie != null)
//            {
//                RequestHelper.SetCookie("CurrentUserLastLoginTime", value.ToString(), DateTime.Now.AddHours(1));
//            }
//            else
//            {
//                //有效期，一个钟头
//                RequestHelper.AddCookie("CurrentUserLastLoginTime", value.ToString(), DateTime.Now.AddHours(1));
//            }
//        }
//    }
//
//
//
//    public static string CurrentUserTitle
//    {
//        get
//        {
//            try
//            {
//                return RequestHelper.GetCookieValue("CurrentUserTitle").ToString();
//            }
//            catch
//            {
//                return "0";
//            }
//        }
//        set
//        {
//            var cookie = RequestHelper.GetCookie("CurrentUserTitle");
//            if (cookie != null)
//            {
//                RequestHelper.SetCookie("CurrentUserTitle", value, DateTime.Now.AddHours(1));
//            }
//            else
//            {
//                //有效期，一个钟头
//                RequestHelper.AddCookie("CurrentUserTitle", value, DateTime.Now.AddHours(1));
//            }
//
//        }


//
//
//    public static string CurrentEmployeeID
//    {
//        get
//        {
//            try
//            {
//                return RequestHelper.GetCookieValue("CurrentEmployeeID").ToString();
//            }
//            catch
//            {
//                return "0";
//            }
//        }
//        set
//        {
//            var cookie = RequestHelper.GetCookie("CurrentEmployeeID");
//            if (cookie != null)
//            {
//                RequestHelper.SetCookie("CurrentEmployeeID", value.ToString(), DateTime.Now.AddHours(1));
//            }
//            else
//            {
//                //有效期，一个钟头
//                RequestHelper.AddCookie("CurrentEmployeeID", value.ToString(), DateTime.Now.AddHours(1));
//            }
//        }
//    }
//    }
}
