package com.liangjian11.ums.model.organization;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.enums.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * (Oauth2ClientResource)表实体类
 *
 * @author hsw
 * @since 2020-04-14 14:12:52
 */
@Data
@Accessors(chain = true)
@ApiModel("$tableInfo.comment")
@SuppressWarnings("serial")
public class Oauth2ClientResource extends Model<Oauth2ClientResource> {
    @TableId(type = IdType.AUTO)
    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("oauth客户端id")
    private Integer oauthClientId;

    @ApiModelProperty("资源id")
    private Integer resourceId;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("创建用户id")
    private Integer createUserId;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("更新用户id")
    private Integer updateUserId;


    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}