package com.liangjian11.ums.model.organization;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.enums.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * (Orgdoc)表实体类
 *
 * @author hsw
 * @since 2020-04-14 14:12:53
 */
@Data
@Accessors(chain = true)
@ApiModel("OrgdocResource")
@SuppressWarnings("serial")
public class OrgdocResource extends Model<OrgdocResource> {
    @TableId(type = IdType.AUTO)
    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("机构id")
    private Integer orgId;

    @ApiModelProperty("接口id")
    private Integer resourceId;


    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("创建用户")
    private Integer createUserId;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("更新用户")
    private Integer updateUserId;

    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}